. .\0_globals.ps1

qlik context use $QlikSaaSContext

if($MIGRATIONFROM -eq "QlikSense")
{
    $userfile = "users.csv"
}
elseif($MIGRATIONFROM -eq "QlikView")
{
    $userfile = "qvUsers.csv"
}
else 
{
    Write-Host "Invalid MIGRATIONFROM Value."
    exit;
}

$users = Import-Csv -Path $DATA\$userfile -Header "userId", "Name", "Subject", "Email", "App Count" | Select-Object -skip 1


foreach ($user in $users)
{
		$email = $user.Email
		#$subject = $($user.userId + '\' + $user.userDirectory)
		$subject = $user.Subject
		$name = $user.Name
		#qlik user create --email m10@company.com --subject ad\m10 --tenantId fM78vUvNpAx0xxSUjtQC8pkEymSRalNT --name "Marcus 10"

		#Write-Host $email, $name, $subject

		$SaaSuserId = qlik user create --email $email --subject $subject --tenantId $tenantid --name $name -q

		$user | Add-Member -NotePropertyName SaaSuserId -NotePropertyValue $SaaSuserId
		#Write-Host $user

}

#$users | Export-Csv -Path $DATA\users_saas.csv -NoTypeInformation